com.digi.xbee.api.models

## Enum ModemStatusEvent

- java.lang.Object
- - java.lang.Enum<ModemStatusEvent>
  - - com.digi.xbee.api.models.ModemStatusEvent

- All Implemented Interfaces:
    Serializable, Comparable<ModemStatusEvent>

      public enum ModemStatusEvent
      extends Enum<ModemStatusEvent>

  Enumerates the different modem status events. This enumeration list is intended to be used within the `ModemStatusPacket` packet.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `STATUS_COORDINATOR_REALIGNMENT`
    `STATUS_COORDINATOR_STARTED`
    `STATUS_DISASSOCIATED`
    `STATUS_ERROR_AP_NOT_CONNECTED`
    `STATUS_ERROR_AP_NOT_FOUND`
    `STATUS_ERROR_FAILED_JOIN_AP`
    `STATUS_ERROR_FAILED_JOIN_SECURITY`
    `STATUS_ERROR_INVALID_CHANNEL`
    `STATUS_ERROR_PSK_NOT_CONFIGURED`
    `STATUS_ERROR_SSID_NOT_FOUND`
    `STATUS_ERROR_STACK`
    `STATUS_ERROR_SYNCHRONIZATION_LOST`
    `STATUS_HARDWARE_RESET`
    `STATUS_JOINED_NETWORK`
    `STATUS_MODEM_CONFIG_CHANGED_WHILE_JOINING`
    `STATUS_NETWORK_SECURITY_KEY_UPDATED`
    `STATUS_NETWORK_WENT_TO_SLEEP`
    `STATUS_NETWORK_WOKE_UP`
    `STATUS_UNKNOWN`
    `STATUS_VOLTAGE_SUPPLY_LIMIT_EXCEEDED`
    `STATUS_WATCHDOG_TIMER_RESET`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ModemStatusEvent` | `get(int id)` Returns the `ModemStatusEvent` associated to the given ID.
    `String` | `getDescription()` Returns the modem status description.
    `int` | `getId()` Returns the modem status ID.
    `String` | `toString()`
    `static ModemStatusEvent` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ModemStatusEvent[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### STATUS_COORDINATOR_REALIGNMENT

          public static final ModemStatusEvent STATUS_COORDINATOR_REALIGNMENT

    - #### STATUS_COORDINATOR_STARTED

          public static final ModemStatusEvent STATUS_COORDINATOR_STARTED

    - #### STATUS_DISASSOCIATED

          public static final ModemStatusEvent STATUS_DISASSOCIATED

    - #### STATUS_ERROR_AP_NOT_CONNECTED

          public static final ModemStatusEvent STATUS_ERROR_AP_NOT_CONNECTED

    - #### STATUS_ERROR_AP_NOT_FOUND

          public static final ModemStatusEvent STATUS_ERROR_AP_NOT_FOUND

    - #### STATUS_ERROR_FAILED_JOIN_AP

          public static final ModemStatusEvent STATUS_ERROR_FAILED_JOIN_AP

    - #### STATUS_ERROR_FAILED_JOIN_SECURITY

          public static final ModemStatusEvent STATUS_ERROR_FAILED_JOIN_SECURITY

    - #### STATUS_ERROR_INVALID_CHANNEL

          public static final ModemStatusEvent STATUS_ERROR_INVALID_CHANNEL

    - #### STATUS_ERROR_PSK_NOT_CONFIGURED

          public static final ModemStatusEvent STATUS_ERROR_PSK_NOT_CONFIGURED

    - #### STATUS_ERROR_SSID_NOT_FOUND

          public static final ModemStatusEvent STATUS_ERROR_SSID_NOT_FOUND

    - #### STATUS_ERROR_STACK

          public static final ModemStatusEvent STATUS_ERROR_STACK

    - #### STATUS_ERROR_SYNCHRONIZATION_LOST

          public static final ModemStatusEvent STATUS_ERROR_SYNCHRONIZATION_LOST

    - #### STATUS_HARDWARE_RESET

          public static final ModemStatusEvent STATUS_HARDWARE_RESET

    - #### STATUS_JOINED_NETWORK

          public static final ModemStatusEvent STATUS_JOINED_NETWORK

    - #### STATUS_MODEM_CONFIG_CHANGED_WHILE_JOINING

          public static final ModemStatusEvent STATUS_MODEM_CONFIG_CHANGED_WHILE_JOINING

    - #### STATUS_NETWORK_SECURITY_KEY_UPDATED

          public static final ModemStatusEvent STATUS_NETWORK_SECURITY_KEY_UPDATED

    - #### STATUS_NETWORK_WENT_TO_SLEEP

          public static final ModemStatusEvent STATUS_NETWORK_WENT_TO_SLEEP

    - #### STATUS_NETWORK_WOKE_UP

          public static final ModemStatusEvent STATUS_NETWORK_WOKE_UP

    - #### STATUS_UNKNOWN

          public static final ModemStatusEvent STATUS_UNKNOWN

    - #### STATUS_VOLTAGE_SUPPLY_LIMIT_EXCEEDED

          public static final ModemStatusEvent STATUS_VOLTAGE_SUPPLY_LIMIT_EXCEEDED

    - #### STATUS_WATCHDOG_TIMER_RESET

          public static final ModemStatusEvent STATUS_WATCHDOG_TIMER_RESET

  - ### Method Detail

    - #### get

          public static ModemStatusEvent get(int id)

      Returns the `ModemStatusEvent` associated to the given ID.
      Parameters:
        `id` - ID of the `ModemStatusEvent` to retrieve.
      Returns:
        The `ModemStatusEvent` associated with the given ID.

    - #### getDescription

          public String getDescription()

      Returns the modem status description.
      Returns:
        Modem status description.

    - #### getId

          public int getId()

      Returns the modem status ID.
      Returns:
        The modem status ID.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<ModemStatusEvent>`

    - #### valueOf

          public static ModemStatusEvent valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### values

          public static ModemStatusEvent[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ModemStatusEvent c : ModemStatusEvent.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

© Copyright 2014–2014 Digi International Inc. All rights reserved.